unit fuQExportXLSDemo;

interface

uses
  Forms, StdCtrls, Grids, DBGrids, Controls, ExtCtrls, QExport, QExportXLS,
  Db, Classes, DBTables, SysUtils;

type
  TForm1 = class(TForm)
    Table1: TTable;
    DataSource1: TDataSource;
    QExportXLS1: TQExportXLS;
    Label1: TLabel;
    Panel1: TPanel;
    Panel2: TPanel;
    DBGrid1: TDBGrid;
    Button1: TButton;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure QExportXLS1GetExportText(Sender: TObject; ColNo: Integer;
      var Text: String);
    procedure QExportXLS1GetDataParams(Sender: TObject; Col, Row: Integer;
      Format: TxlsFormat; var FormatText: String);
    procedure QExportXLS1GetFooterParams(Sender: TObject; Col,
      Row: Integer; Format: TxlsFormat; var S: String);
    procedure QExportXLS1GetHeaderParams(Sender: TObject; Col,
      Row: Integer; Format: TxlsFormat; var S: String);
  private
    FFlag: boolean;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
var
  Path: string;
begin
  Path := ExtractfilePath(Application.HelpFile);
  Table1.TableName := Path + 'country.db';
  Table1.Open;
  QExportXLS1.FileName := Path + 'demo.xls';
  FFlag := false;
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  Table1.Close;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  QExportXLS1.Execute;
end;

procedure TForm1.QExportXLS1GetExportText(Sender: TObject; ColNo: Integer;
  var Text: String);
var
  Val: integer;
begin
  FFlag := false;
  if ColNo = 3 then begin
    Val := StrToInt(Text);
    FFlag := Val > 750000;
  end;
end;

procedure TForm1.QExportXLS1GetDataParams(Sender: TObject; Col,
  Row: Integer; Format: TxlsFormat; var FormatText: String);
begin
  Format.Font.Style := Format.Font.Style - [xfsBold];
  Format.Font.Color := clrBlack;

  if FFlag then begin
    Format.Font.Style := Format.Font.Style + [xfsBold];
    Format.Font.Color := clrDarkRed;
  end;
end;

procedure TForm1.QExportXLS1GetFooterParams(Sender: TObject; Col,
  Row: Integer; Format: TxlsFormat; var S: String);
begin
  if Pos('EMS', S) > 0 then begin
    Format.Font.Size := 14;
    Format.Font.Color := clrOrange;
    Format.Font.Name := 'Arial Black';
  end
  else begin
    Format.Font.Size := 12;
    Format.Font.Color := clrBlack;
    Format.Font.Name := 'Arial';
  end;
end;

procedure TForm1.QExportXLS1GetHeaderParams(Sender: TObject; Col,
  Row: Integer; Format: TxlsFormat; var S: String);
begin
  if Pos('www', S) > 0 then begin
    Format.Font.Color := clrBlue;
    Format.Font.Underline := fulSingle;
    Format.Alignment.Horizontal := halLeft;
  end
  else if Pos('Welcome', S) > 0 then begin
    Format.Alignment.Horizontal := halRight;
  end else begin
    Format.Font.Color := clrBlack;
    Format.Font.Underline := fulNone;
    Format.Alignment.Horizontal := halLeft;
  end;
end;

end.
