unit QExportConsts;

interface

resourcestring
  {$IFDEF WIN32}
  SMSExcelFilter = 'Microsoft Excel files (*.xls)|*.xls';
  SMSWordFilter  = 'Microsoft Word files (*.doc)|*.doc';
  SRTFFilter     = 'RTF files (*.rtf)|*.rtf';
  SHTMLFilter    = 'HTML files (*.html, *.htm)|*.html;*.htm';
  STextFilter    = 'Text files (*.txt)|*.txt';
  SXMLFilter     = 'XML files (*.xml)|*.xml';
  SCSVFilter     = 'CSV files (*.csv)|*.csv';
  SDIFFFilter    = 'DIF files (*.dif)|*.dif';
  SSYLKFilter    = 'SYLK files (*.slk)|*.slk';
  SLaTeXFilter   = 'LaTeX files (*.tex)|*.tex';
  SSQLFilter     = 'SQL files (*.sql)|*.sql';
  SDBFFilter     = 'DBF files (*.dbf)|*.dbf';
  {$ENDIF}
  {$IFDEF LINUX}
  SMSExcelFilter = 'Microsoft Excel files (*.xls)';
  SMSWordFilter  = 'Microsoft Word files (*.doc)';
  SRTFFilter     = 'RTF files (*.rtf)';
  SHTMLFilter    = 'HTML files (*.html;*.htm)';
  STextFilter    = 'Text files (*.txt)';
  SXMLFilter     = 'XML files (*.xml)';
  SCSVFilter     = 'CSV files (*.csv)';
  SDIFFFilter    = 'DIF files (*.dif)';
  SSYLKFilter    = 'SYLK files (*.slk)';
  SLaTeXFilter   = 'LaTeX files (*.tex)';
  SSQLFilter     = 'SQL files (*.sql)';
  SDBFFilter     = 'DBF files (*.dbf)';
  {$ENDIF}

  QEM_ExportSourceNotAssigned = 'Export source (%s) is not assigned';
  QEM_ExportSourceNotActive = 'Export source (%s) is closed';
  QEM_ExportSourceEmpty = 'Export source (%s) is empty';
  QEM_AllowedExportsEmpty = 'Property Allowed cannot be empty';
  QEM_StopExportCaption = 'Are you sure?';
  QEM_StopExportConfirm = 'Do you want to abort export?';
  QEM_NewFormatValue = 'New format value';
  QEM_EnterValue     = 'Enter Value:';

  QED_Title = 'Export dialog';
  QED_AdvancedTitle = 'Export dialog -- Export to [%s]';
  QED_CloseButtonCaption = '&Close';
  QED_ExportTitle = 'Exporting...';
  QED_CancelButtonCaption = '&Cancel';
  QED_FileName = 'Destination file';
  QED_SelectFile = 'Select...';
  QED_OpenAfterExport = 'Open file after export';
  QED_PrintAfterExport = 'Print file after export';

  // Export Type
  QED_ExportType_Title = 'Export &Type';
  QED_ExportType_Formats = ' &Formats';
  QED_ExportType_ExportTo = ' Export to ';
  QED_ExportType_XLS = 'MS Excel';
  QED_ExportType_DOC = 'MS Word';
  QED_ExportType_RTF = 'RTF';
  QED_ExportType_HTML = 'HTML';
  QED_ExportType_TXT = 'Text File';
  QED_ExportType_XML = 'XML';
  QED_ExportType_DBF = 'DBF';
  QED_ExportType_CSV = 'CSV File';
  QED_ExportType_DIFF = 'DIF File';
  QED_ExportType_SYLK = 'SYLK File';
  QED_ExportType_LaTeX = 'LaTeX';
  QED_ExportType_SQL = 'SQL';
  QED_ExportType_Clipboard = 'Windows Clipboard';

  QED_ExportType_Options = '&Options';
  QED_ExportType_Constraints = ' Constraints ';
  QED_ExportType_Options_GoToFirstRecord = 'Go to the first record';
  QED_ExportType_ExportAllRecords = 'Export all records';
  QED_ExportType_Options_ExportRecCount = 'Export only';
  QED_ExportType_Options_SkipRecCount = 'Skip';
  QED_ExportType_Options_Records = 'records';

  QED_ExportType_Save = 'Save Export Options...';
  QED_ExportType_Load = 'Load Export Options...';

  QED_ExportType_Start = '&Start Export';
  QED_ExportType_Close = '&Close';
  
  // Fields
  QED_Fields_Title = 'F&ields';
  QED_Fields_Available = 'Available fields:';
  QED_Fields_Exported = 'Exported fields:';
  QED_Fields_Add = '>';
  QED_Fields_AddAll = '>>';
  QED_Fields_Remove = '<';
  QED_Fields_RemoveAll = '<<';

  // Formats
  QED_Formats_Title = '&Formats';
  QED_Formats_Common = 'Common';
  QED_Formats_Integer = 'Integer Format';
  QED_Formats_Float = 'Float Format';
  QED_Formats_Date = 'Date Format';
  QED_Formats_Time = 'Time Format';
  QED_Formats_DateTime  = 'DateTime Format';
  QED_Formats_Currency = 'Currency Format';
  QED_Formats_BooleanTrue = 'Boolean true';
  QED_Formats_BooleanFalse = 'Boolean false';
  QED_Formats_NullString = 'Null string';
  QED_Formats_User = 'User';
  QED_Formats_Add = 'Add';
  QED_Formats_Edit = 'Edit';
  QED_Formats_Delete = 'Delete';
  QED_Formats_Clear = 'Clear';

  // Header & Footer
  QED_Header_Footer_Title = 'Hea&der && Footer';
  QED_Header_Footer_Header = 'Header text:';
  QED_Header_Footer_Footer = 'Footer text:';

  // Captions
  QED_Captions_AllowCaptions = 'Allow captions';
  QED_Captions_Title = '&Captions';
  QED_Captions_FeldName = 'Field name';
  QED_Captions_Caption = 'Caption';
  QED_Captions_Width = 'Width';
  QED_Captions_Align = 'Align';

  // Word / RTF
  QED_RTF_Title = 'Word / RTF Options';
  QED_RTF_DefaultFont = 'Default font';
  QED_RTF_HeaderFont = 'Row header font';
  QED_RTF_PageOrientation = ' Page Orientation ';
  QED_RTF_Portrait = 'Portrait';
  QED_RTF_Landscape = 'Landscape';

  // XML
  QED_XML_Title = 'XML Options';
  QED_XML_Standalone = 'Standalone';
  QED_XML_Encoding = 'Encoding';

  // SQL
  QED_SQL_Title = '&SQL Options';
  QED_SQL_TableOptions = 'Table options';
  QED_SQL_AddCreateTable = 'Add "Create Table" statement';
  QED_SQL_TableName = 'Table name';
  QED_SQL_Commit = 'Commit options';
  QED_SQL_CommitAfter_01 = 'Commit after';
  QED_SQL_CommitAfter_02 = 'record(s)';
  QED_SQL_CommitAfterScript = 'Commit after script';
  QED_SQL_CommitStatement = 'Commit statement';
  QED_SQL_Other = 'Other Options';
  QED_SQL_NullAs = 'Export null values as';
  QED_SQL_StatementTerm = 'Statement term';

  // HTML
  QED_HTML_Title = '&HTML Options';
  QED_HTML_Preview_Title = '&Preview';
  QED_HTML_Preview_DefaultText = 'Default text';
  QED_HTML_Preview_NonVisitedLink = 'Non-visited link';
  QED_HTML_Preview_VisitedLink = 'Visited link';
  QED_HTML_Preview_ActiveLink = 'Active link';
  QED_HTML_Preview_Template = 'Template';
  QED_HTML_Preview_SaveTemplate = 'Save as template...';
  QED_HTML_Preview_LoadTemplate = 'Load template...';
  QED_HTML_Basic_Title = '&Basic';
  QED_HTML_Basic_PageTitle = 'Title';
  QED_HTML_Basic_CSS = 'Cascade Style Sheets using';
  QED_HTML_Basic_CSSInternal = 'Internal';
  QED_HTML_Basic_CSSExternal = 'External';
  QED_HTML_Basic_CSSFileName = 'CSS file name';
  QED_HTML_Basic_MultiFile_Options = 'Multi-file export';
  QED_HTML_Basic_MultiFile_Use = 'Use multi-file export';
  QED_HTML_Basic_MultiFile_RecCount_01 = 'Maximum';
  QED_HTML_Basic_MultiFile_RecCount_02 = 'record(s) in single file';
  QED_HTML_Basic_MultiFile_GenerateIndex = 'Generate index';

  QED_HTML_Advanced_Title = '&Advanced';
  QED_HTML_Advanced_Body_Options = 'Body options';
  QED_HTML_Advanced_Body_FontName = 'Font name';
  QED_HTML_Advanced_Body_Background = 'Background';
  QED_HTML_Advanced_Body_Attributes = 'Advanced attributes';
  QED_HTML_Advanced_Table_Options = 'Table options';
  QED_HTML_Advanced_Table_CellPadding = 'Cell padding';
  QED_HTML_Advanced_Table_CellSpasing = 'Cell spacing';
  QED_HTML_Advanced_Table_Border = 'Border';
  QED_HTML_Advanced_Table_Attributes = 'Advanced attributes';

  // XLS
  QED_XLS_Title = '&Excel Options';
  QED_XLS_Advanced_Title = 'A&dvanced';
  QED_XLS_Page_Header = 'Page header';
  QED_XLS_Page_Footer = 'Page footer';
  QED_XLS_Sheet_Title = 'Sheet title';

  QED_XLS_DataFormat_Title = '&Data format';

  QED_XLS_DataFormat_Fields = 'Fields'; // since 2.2
  QED_XLS_DataFormat_Options = 'Options'; // since 2.2
  QED_XLS_DataFormat_Styles = 'Styles'; // since 2.2
  QED_XLS_DataFormat_Styles_Add = 'Add style'; // since 2.2
  QED_XLS_DataFormat_Styles_Del = 'Delete style'; // since 2.2
  QED_XLS_DataFormat_Styles_Up = 'Move up'; // since 2.2
  QED_XLS_DataFormat_Styles_Down = 'Move down'; // since 2.2
  QED_XLS_DataFormat_Styles_Save = 'Save style'; // since 2.2
  QED_XLS_DataFormat_Styles_Load = 'Load style'; // since 2.2
  QED_XLS_DataFormat_Styles_StripStyle_Caption = 'Strip style'; // since 2.2
  QED_XLS_DataFormat_Styles_StripStyle_None = 'None'; // since 2.2
  QED_XLS_DataFormat_Styles_StripStyle_Col = 'Col'; // since 2.2
  QED_XLS_DataFormat_Styles_StripStyle_Row = 'Row'; // since 2.2

  QED_XLS_Reset_Item = 'Reset item';
  QED_XLS_Reset_SelectedItems = 'Reset selected';
  QED_XLS_Reset_All = 'Reset all';
  QED_XLS_Reset_All_Question_Caption = 'Attention!';
  QED_XLS_Reset_All_Question = 'All field formats will be reset the ' +
                               'default values.' +
                               #13#10 + 'Are you sure?';

  QED_XLS_SampleCell = '  Sample cell';

  QED_XLS_Header = 'HEADER';
  QED_XLS_Caption = 'CAPTION';
  QED_XLS_Aggregate = 'AGGREGATE';
  QED_XLS_Footer = 'FOOTER';

  QED_XLS_StyleItem = 'ITEM_'; // since 2.2

  QED_XLS_Font_Title = '&Font';
  QED_XLS_Font = 'Font';
  QED_XLS_FontSize = 'Size';
  QED_XLS_Font_Color = 'Font color';
  QED_XLS_Font_Bold = 'Bold';
  QED_XLS_Font_Italic = 'Italic';
  QED_XLS_Font_StrikeOut = 'Strike Out';
  QED_XLS_Underline_Single = 'Underline single';
  QED_XLS_Underline_Single_Accounting = 'Underline single accounting';
  QED_XLS_Underline_Double = 'Underline double';
  QED_XLS_Underline_Double_Accounting = 'Underline double accounting';
  QED_XLS_Alignment_Horizontal_Left = 'Left';
  QED_XLS_Alignment_Horizontal_Center = 'Center';
  QED_XLS_Alignment_Horizontal_Right = 'Right';
  QED_XLS_Alignment_Horizontal_Fill = 'Fill';
  QED_XLS_Alignment_Vertical_Top = 'Top';
  QED_XLS_Alignment_Vertical_Center = 'Center';
  QED_XLS_Alignment_Vertical_Bottom = 'Bottom';

  QED_XLS_Borders_Title = '&Borders';
  QED_XLS_Border_None = 'None'; // since 2.2
  QED_XLS_Border_Top = 'Top border';
  QED_XLS_Border_Top_Color = 'Top border color';
  QED_XLS_Border_Bottom = 'Bottom border';
  QED_XLS_Border_Bottom_Color = 'Bottom border color';
  QED_XLS_Border_Left = 'Left border';
  QED_XLS_Border_Left_Color = 'Left border color';
  QED_XLS_Border_Right = 'Right border';
  QED_XLS_Border_Right_Color = 'Right border color';

  QED_XLS_Fill_Title = 'F&ill';
  QED_XLS_Fill_Background = 'Background color';
  QED_XLS_Fill_Pattern_None = 'None';
  QED_XLS_Fill_Foreground = 'Foreground color';

  QED_XLS_Aggregate_Title = '&Aggregate';
  QED_XLS_Function = 'Aggregate';
  QED_XLS_Function_None = 'None';
  QED_XLS_Function_Sum = 'SUM';
  QED_XLS_Function_Avg = 'AVG';
  QED_XLS_Function_Min = 'MIN';
  QED_XLS_Function_Max = 'MAX';

  // ASCII
  QED_ASCII_Title = 'ASCII Options';
  QED_TXT_Title = ' TXT Options ';
  QED_TXT_AutoCalcColWidth = 'Calculate column width';
  QED_TXT_Spacing = 'Spacing';
  QED_CSV_Title = ' CSV Options ';
  QED_CSV_QuoteStrings = 'Quote strings';
  QED_CSV_Comma = 'Comma';

  // Progress
  QEDP_Caption = 'Exporting...';
  QEDP_Status = 'Status';
  QEDP_Time = 'Time';
  QEDP_Speed = 'Speed';
  QEDP_Preparing = 'Preparing...';
  QEDP_Skipping = 'Skipping...';
  QEDP_Skipped = 'Skipped';
  QEDP_Exporting = 'Exporting...';
  QEDP_Exported = 'Exported';
  QEDP_Fetching = 'Fetching...';
  QEDP_Fetched = 'Fetched';
  QEDP_Pause = 'Pause';
  QEDP_Cancel = 'Cancel';
  QEDP_OK = 'OK';
  QEDP_Aborted = 'Aborted';
  QEDP_Finished = 'Finished';
  QEDP_RowsPerSec = '%d rows/sec';
  QEDP_TimeFormat = 'h:nn:ss';

implementation

end.
